// browser detect script borrowed from PPK @ http://www.quirksmode.org/js/detect.html
var BrowserDetect = {
	init: function () {
		this.browser = this.searchString(this.dataBrowser) || "An unknown browser";
		this.version = this.searchVersion(navigator.userAgent)
			|| this.searchVersion(navigator.appVersion)
			|| "an unknown version";
		this.OS = this.searchString(this.dataOS) || "an unknown OS";
	},
	searchString: function (data) {
		for (var i=0;i<data.length;i++)	{
			var dataString = data[i].string;
			var dataProp = data[i].prop;
			this.versionSearchString = data[i].versionSearch || data[i].identity;
			if (dataString) {
				if (dataString.indexOf(data[i].subString) != -1)
					return data[i].identity;
			}
			else if (dataProp)
				return data[i].identity;
		}
	},
	searchVersion: function (dataString) {
		var index = dataString.indexOf(this.versionSearchString);
		if (index == -1) return;
		return parseFloat(dataString.substring(index+this.versionSearchString.length+1));
	},
	dataBrowser: [
		{
			string: navigator.userAgent,
			subString: "Chrome",
			identity: "Chrome"
		},
		{ 	string: navigator.userAgent,
			subString: "OmniWeb",
			versionSearch: "OmniWeb/",
			identity: "OmniWeb"
		},
		{
			string: navigator.vendor,
			subString: "Apple",
			identity: "Safari"
		},
		{
			prop: window.opera,
			identity: "Opera"
		},
		{
			string: navigator.vendor,
			subString: "iCab",
			identity: "iCab"
		},
		{
			string: navigator.vendor,
			subString: "KDE",
			identity: "Konqueror"
		},
		{
			string: navigator.userAgent,
			subString: "Firefox",
			identity: "Firefox"
		},
		{
			string: navigator.vendor,
			subString: "Camino",
			identity: "Camino"
		},
		{		// for newer Netscapes (6+)
			string: navigator.userAgent,
			subString: "Netscape",
			identity: "Netscape"
		},
		{
			string: navigator.userAgent,
			subString: "MSIE",
			identity: "Explorer",
			versionSearch: "MSIE"
		},
		{
			string: navigator.userAgent,
			subString: "Gecko",
			identity: "Mozilla",
			versionSearch: "rv"
		},
		{ 		// for older Netscapes (4-)
			string: navigator.userAgent,
			subString: "Mozilla",
			identity: "Netscape",
			versionSearch: "Mozilla"
		}
	],
	dataOS : [
		{
			string: navigator.platform,
			subString: "Win",
			identity: "Windows"
		},
		{
			string: navigator.platform,
			subString: "Mac",
			identity: "Mac"
		},
		{
			string: navigator.platform,
			subString: "Linux",
			identity: "Linux"
		}
	]

};
BrowserDetect.init();

// ABC News specific: check for supported browser
function isBrowserSupported(){
	// support mozilla derived browsers and Opera across OSs
	if((BrowserDetect.browser == 'Mozilla') && (BrowserDetect.version >= 1.7)){
		return true;
	}
	if((BrowserDetect.browser == 'Firefox') && (BrowserDetect.version >= 1.5)){
		return true;
	}
	if((BrowserDetect.browser == 'Netscape') && (BrowserDetect.version >= 7.0)){
		return true;
	}
	if((BrowserDetect.browser == 'Opera') && (BrowserDetect.version >= 9.0)){
		return true;
	}
	if(BrowserDetect.browser == 'Safari'){
		return true;
	}
	if(BrowserDetect.browser == 'Chrome'){
		return true;
	}		
	if(BrowserDetect.OS == 'Windows'){
		if((BrowserDetect.browser == 'Explorer') && (BrowserDetect.version >= 6.0)){
			return true;
		}
	}
	return false;
}

function showBrowserUpgradeMessage () {
	if (!isBrowserSupported()) {
	document.write('<div class="javascript-disabled"><div style="float:left;width:325px;"><h1>Welcome to <span style="color:#89b1df;">ABCNews.com</span></h1> </div><div style="float:right;width:665px;padding:0px 10px 5px  0px;"><h2>You are currently using a browser we do not officially support.  To maximize your viewing experience,  we recommend upgrading.  Please visit our <a href="http://abcnews.go.com/Site/page?id=3063928"> upgrade page</a>. </h2></div></div>')
	}

}
